package com.ruoyi.SafetyDeclaration.mapper;

import com.ruoyi.SafetyDeclaration.domain.BeCurrentTable;
import com.ruoyi.SafetyDeclaration.domain.SafetyDeclarationTable;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface VisualizationMapper
{
    ////柱状图
    List<BeCurrentTable> selectHistogram();

    ////折线图
     List<BeCurrentTable> selectLineChart();
    ////圆环图
     List<BeCurrentTable> SelectCircularDiagram(SafetyDeclarationTable safetyDeclarationTable);

    int selectTotal();

    int selectMonthTotal(SafetyDeclarationTable safetyDeclarationTable);
}
